   <!--
  function   IsInclude(str1,str2){   
  var s=str1.indexOf(str2);   
  if(s==-1){   
  return   false;   
        }else{
  return   true;   
        }
  }
   function   getparastr(strname)
   {
    var   hrefstr,pos,parastr,para,tempstr;
               hrefstr   =   window.location.href;
              pos   =   hrefstr.indexOf("?")           
              parastr   =   hrefstr.substring(pos+1);           
              para   =   parastr.split("&");           
              tempstr=""; 
    for(i=0;i<para.length;i++)
               {       
               tempstr   =   para[i];       
               pos   =   tempstr.indexOf("=");       
               if(tempstr.substring(0,pos)   ==   strname)   
               {               
               return   tempstr.substring(pos+1);       
               }           
               }           
               return   null;   
               }
function GSearch(){
       var q = getparastr("q");
       var q2 = q.replace(/\+/g," ")
       var q4 = decodeURI(q2)
       var q5 = q4.replace(/\%3A/g,":")
       var q6 = q5.replace(/\%2B/g,"+")
       var q7 = q6.replace(/\%2F/g,"/")
       var q8 = q7.replace(/\%3F/g,"?")
       var q9 = q8.replace(/\%23/g,"#")
       var q10 = q9.replace(/\%24/g,"$")
       var q11 = q10.replace(/\%26/g,"&")
       var q12 = q11.replace(/\%3D/g,"=")
       var q3 = q12.replace(/\%3B/g,";")
       document.getElementById('sbi').value=q3;
}
if (IsInclude(window.location.href,"?")&&IsInclude(window.location.href,"=")&&IsInclude(window.location.href,"q")){
GSearch();
if (getparastr("q")=="") {top.location.href=BLOG_HOST&&"Search.asp"}
   if (IsInclude(window.location.href,"sitesearch=")){
if (getparastr("sitesearch")!="") {document.GSearch.sitesearch[1].checked=true;}
   }
}else{
if (IsInclude(window.location.href,"?")){top.location.href=BLOG_HOST&&"Search.asp"}}


